package api.common.util;

public abstract class LogUtil {

    protected static final ThreadLocal<String> OPERATION_TYPE = new ThreadLocal<>();

    public static void insert(){
        OPERATION_TYPE.set("01");
    };

    public static void update(){
        OPERATION_TYPE.set("02");
    };

    public static void delete(){
        OPERATION_TYPE.set("00");
    };

    public static String getOperationType(){
        return OPERATION_TYPE.get();
    };

    public static void remove(){
        OPERATION_TYPE.remove();
    };

    public static void share() {
        OPERATION_TYPE.set("03");
    }

}
